diff --git a/examples/peripheral/timer/main.c b/examples/peripheral/timer/main.c
index e2e80b0..c7be4bb 100644
--- a/examples/peripheral/timer/main.c
+++ b/examples/peripheral/timer/main.c
@@ -53,6 +53,7 @@
 #include "nrf_drv_timer.h"
 #include "bsp.h"
 #include "app_error.h"
+#include "nrf_drv_clock.h"
 
 const nrf_drv_timer_t TIMER_LED = NRF_DRV_TIMER_INSTANCE(0);
 
@@ -89,6 +90,10 @@ int main(void)
     //Configure all leds on board.
     bsp_board_init(BSP_INIT_LEDS);
 
+    // Enable HF crystall oscillator
+    err_code = nrf_drv_clock_init();
+    nrf_drv_clock_hfclk_request(NULL);
+
     //Configure TIMER_LED for generating simple light effect - leds on board will invert his state one after the other.
     nrf_drv_timer_config_t timer_cfg = NRF_DRV_TIMER_DEFAULT_CONFIG;
     err_code = nrf_drv_timer_init(&TIMER_LED, &timer_cfg, timer_led_event_handler);
